[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: svn commit: r987689 - /subversion/branches/1.6.x/STATUS

From: Justin Erenkrantz <justin_at_erenkrantz.com>
Date: Sun, 22 Aug 2010 21:49:35 -0700

On Sun, Aug 22, 2010 at 7:25 PM, Greg Stein <gstein_at_gmail.com> wrote:
> I also added an API to serf to facilitate runtime version checks (ie.
> hopefully before a call to a bogus signature is performed). But that
> call is only in later versions :-P

Yup - I noticed that when I added the minimum version auto-fu check
today. I'm not sure how critical it is to do that run-time check at
configure-time - I know that APR does it for BDB, but...

If we decide not to do the proposed backport, then 1.6.x might
actually need a *maximum* version check. But, I'd rather just make
1.6.x work with a current serf instead...and probably force Subversion
to require 0.6.2/0.7.0 (depending upon what Greg rolls soon) as
0.4.0-0.6.1 won't work with 1.6.x, but 0.3.1 might.

My head hurts. =) -- justin
Received on 2010-08-23 06:50:14 CEST

This is an archived mail posted to the Subversion Dev mailing list.